{% extends 'root.html' %}


{% load i18n microsocial %}

{% block context %}
    <div class="container-fluid">
        <div class="row">
            <form class="form-group form-horizontal" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="col-sm-3">
                    <img src="{{ user|get_avatar }}" width="300px" height="300px"/>
                    <p><input type="checkbox" class="checkbox-inline" style="margin: 10px" name="avatar" value="delete"/> {% trans 'удалить'|capfirst %}</p>
                    {{ aform.avatar }}
                </div>
                <div class="col-sm-9">
                    {% include 'show_messages.html' %}
                    <input name="action" type="hidden" value="change_user"/>
                    <div class="form-group">
                        {% for field in aform %}
                            {% if field.name != 'avatar' %}
                                {% show_form_field_errors field.errors 'col-sm-offset-2 col-sm-6' %}
                                <div class="form-group{% if field.errors %} has-error{% endif %}">
                                    <label for="{{ field.id_for_label }}" class="control-label col-sm-2">
                                        {{ field.label|capfirst }}:
                                    </label>
                                    <div class="col-sm-6">
                                        {{ field }}
                                    </div>
                                </div>
                            {% endif %}
                        {% endfor %}
                        <div class="col-sm-offset-3 col-sm-4">
                            <input type="submit" class="form-control btn btn-primary" name="{{ aform.prefix }}" value="{% trans 'сохранить'|capfirst %}"/>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="row">
            <div class="col-sm-offset-3 col-sm-9">
                <form class="form-group form-horizontal" method="post">
                    {% csrf_token %}
                    <input name="action" type="hidden" value="change_password"/>
                     <div class="form-group">
                        <div class="row">
                             <h3 class="col-sm-offset-2 col-sm-6 text-center">{% trans 'изменение пароля'|capfirst %}</h3>
                        </div>
                        {% for field in bform %}
                            {% show_form_field_errors field.errors 'col-sm-offset-2 col-sm-6' %}
                            <div class="form-group{% if field.errors %} has-error{% endif %}">
                                <label for="{{ field.id_for_label }}" class="control-label col-sm-2">
                                    {{ field.label|capfirst }}:
                                </label>
                                <div class="col-sm-6">
                                    {{ field }}
                                </div>
                            </div>
                        {% endfor %}
                        <div class="col-sm-offset-3 col-sm-4">
                            <input type="submit" class="form-control btn btn-primary" name="{{ bform.prefix }}" value="{% trans 'изменить пароль'|capfirst %}"/>
                        </div>
                    </div>
                </form>
                <form class="form-group form-horizontal" method="post">
                    {% csrf_token %}
                    <div class="form-group">
                        <div class="row">
                            <div class="col-sm-offset-2 col-sm-6 text-center">
                                <p><h3>{% trans 'изменение email'|capfirst %}</h3></p>
                                <h4>{{ user }}</h4>
                            </div>
                        </div>
                        <input name="action" type="hidden" value="change_email"/>
                        {% for field in dform %}
                            {% show_form_field_errors field.errors 'col-sm-offset-2 col-sm-6' %}
                            <div class="form-group{% if field.errors %} has-error{% endif %}">
                                <label for="{{ field.id_for_label }}" class="control-label col-sm-2">
                                    {{ field.label|capfirst }}:
                                </label>
                                <div class="col-sm-6">
                                    {{ field }}
                                </div>
                            </div>
                        {% endfor %}
                        <div class="col-sm-offset-3 col-sm-4">
                            <input type="submit" class="form-control btn btn-primary" style="margin-bottom: 70px" name="{{ dform.prefix }}" value="{% trans 'изменить email'|capfirst %}"/>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock %}